AnswerBun.com

I can't install pip for python 3.5

Super User Asked by Dev on August 6, 2020

My friend owns a Raspberry Pi, and no matter what we try to do we cannot get pip3 installed for python 3.5. We’ve tried get-pip.py, but that only works for 2.7. We’ve tried sudo pip install -U pip, but that only upgrades pip2.7. We’ve tried sudo apt-get install python3.5-pip, but the package doesn’t exist. We’ve tried sudo easy_install3 pip too. I can’t figure out how in the world to do this.

(pip3 works, but that’s for /usr/bin/python3, not /usr/local/bin/python3.5.)

Help?

One Answer

You were actually very close: $ sudo apt-get install python3-pip

When you say that pip3 works then I'm pretty sure that is the pip for the latest version of Python3. Can you do pip3 --version?

This should help too: https://www.raspberrypi.org/documentation/linux/software/python.md

Answered by harm on August 6, 2020

Add your own answers!

Related Questions

How to export selected columns into csv file

9  Asked on December 29, 2020 by raul

     

Why do I need sudo on Terminal?

1  Asked on December 28, 2020 by celtic-sheep

     

Disable gnome keyring on debian buster

0  Asked on December 27, 2020 by nelsonov

     

Video and file caching with squid lusca?

1  Asked on December 27, 2020 by badr-uz-zaman

   

Corsair h100i v2 not fitting

0  Asked on December 27, 2020 by collin-038

       

`which conda` doesn’t output a path

1  Asked on December 27, 2020 by alec_djinn

 

Ask a Question

Get help from others!

© 2022 AnswerBun.com. All rights reserved. Sites we Love: PCI Database, MenuIva, UKBizDB, Menu Kuliner, Sharing RPP, SolveDir